org.eclipse.emf.cdo.common.commit

## Interface CDOCommitInfoProvider

- All Known Subinterfaces:
    CDOCommitInfoManager, InternalCDOCommitInfoManager

      public interface CDOCommitInfoProvider

  Calls registered `commit info handlers`.
  Since:
    4.2
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCommitInfoHandler(CDOCommitInfoHandler handler)`
    `CDOCommitInfoHandler[]` | `getCommitInfoHandlers()`
    `void` | `removeCommitInfoHandler(CDOCommitInfoHandler handler)`

- - ### Method Detail

    - #### getCommitInfoHandlers

          CDOCommitInfoHandler[] getCommitInfoHandlers()

    - #### addCommitInfoHandler

          void addCommitInfoHandler(CDOCommitInfoHandler handler)

    - #### removeCommitInfoHandler

          void removeCommitInfoHandler(CDOCommitInfoHandler handler)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html